dblink\_disconnect

|         dblink\_disconnect          |                 |            |                  |                                     |
|:-----------------------------------:|-----------------|------------|------------------|-------------------------------------|
|[Prev](contrib-dblink-connect-u.html)|[Up](dblink.html)|F.10. dblink|[Home](index.html)| [Next](contrib-dblink-function.html)|

---

[]()

## dblink\_disconnect

dblink\_disconnect — closes a persistent connection to a remote database

## Synopsis

```
dblink_disconnect() returns text
dblink_disconnect(text connname) returns text

```

## Description

`dblink_disconnect()` closes a connection previously opened by `dblink_connect()`. The form with no arguments closes an unnamed connection.

## Arguments

*`connname`*

 The name of a named connection to be closed.

## Return Value

 Returns status, which is always `OK` (since any error causes the function to throw an error instead of returning).

## Examples

```
SELECT dblink_disconnect();
 dblink_disconnect
-------------------
 OK
(1 row)

SELECT dblink_disconnect('myconn');
 dblink_disconnect
-------------------
 OK
(1 row)

```

---

|[Prev](contrib-dblink-connect-u.html)|[Up](dblink.html) | [Next](contrib-dblink-function.html)|
|:------------------------------------|:----------------:|------------------------------------:|
|         dblink\_connect\_u          |[Home](index.html)|                dblink               |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>